Only in ptlib_v2_0_1.fix: .DS_Store
diff -ur ptlib_v2_0_1/src/ptlib/unix/tlibthrd.cxx ptlib_v2_0_1.fix/src/ptlib/unix/tlibthrd.cxx
--- ptlib_v2_0_1/src/ptlib/unix/tlibthrd.cxx	2008-03-27 12:12:33.000000000 +0200
+++ ptlib_v2_0_1.fix/src/ptlib/unix/tlibthrd.cxx	2008-09-20 21:51:40.000000000 +0300
@@ -1881,7 +1881,7 @@
 
 #else // P_PTHREADS_XPG6
 
-  do {
+  while (1) {
     if (pthread_mutex_trylock(&mutex) == 0) {
 #if P_HAS_RECURSIVE_MUTEX == 0
       PAssert((lockerId == (pthread_t)-1) && (lockCount.IsZero()),
@@ -1892,10 +1892,11 @@
       return TRUE;
     }
 
-    PThread::Current()->Sleep(10); // sleep for 10ms
-  } while (PTime() < finishTime);
+    if (PTime() >= finishTime)
+      return FALSE;
 
-  return FALSE;
+    PThread::Current()->Sleep(10); // sleep for 10ms
+  }
 
 #endif // P_PTHREADS_XPG6
 }
